%define _plugindir %{_libdir}/kde3
%define kde_version 3.0.5a
%define DATE 20020326
%define is_release 1
%define beta %{nil}
%define rel 0.73.0
%define ver %{kde_version}%{beta}

%define libtool 0

%define sourcedir stable/%{kde_version}/distribution/tar/generic/source

Name: kdeaddons
Version: %{kde_version}
Summary: K Desktop Environment - Plugins
Icon: kde-icon.xpm
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

%if "%{beta}" != ""
Release: 0.%{beta}.%{rel}
%else
%if %{is_release}
Release: %{rel}
%else
Release: 0.cvs%{DATE}.%{rel}
%endif
%endif

%if %{is_release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{ver}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{DATE}.tar.bz2
%endif

Requires: kdebase >= %{version}
Requires: kdelibs >= %{version}
Requires: SDL >= 1.2.0

BuildPrereq: kdebase-devel >= 3.0.3
BuildPrereq: kdemultimedia-devel >= 3.0.3
BuildPrereq: qt-devel >= 3.0.5
BuildPrereq: zlib-devel
BuildPrereq: libpng-devel
BuildPrereq: libmng-devel
BuildPrereq: SDL-devel >= 1.2.0

ExcludeArch: alpha

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player)
and Kate (text editor).

%package kate
Summary: Plugins for the Kate text editor
Group: User Interface/Desktops
Requires: kdebase >= %{version}

%description kate
%{name}-kate contains plugins extending the functionality of the Kate
(KDE Advanced Text Editor) editor.
%{name}-kate adds, among other things, DCOP support, project management
and text filtering capabilities.

%package kicker
Summary: Plugins and additional applets for Kicker (the KDE panel)
Group: User Interface/Desktops
Requires: kdebase >= %{version}

%description kicker
Plugins and additional applets for Kicker (the KDE panel)

%package knewsticker
Summary: Scripts extending the functionality of KNewsTicker
Group: User Interface/Desktops
Requires: kdebase >= %{version}
Requires: kdenetwork-libs >= %{version}
Requires: knewsticker >= %{version}

%description knewsticker
Scripts extending the functionality of KNewsTicker

%package konqueror
Summary: Plugins extending the functionality of Konqueror
Group: User Interface/Desktops
Requires: kdebase >= %{version}

%description konqueror
Plugins extending the functionality of Konqueror.
%{name}-konqueror contains, among other things, plugins for translating web
pages, checking web pages for valid HTML code, and viewing the DOM tree of
web pages.

%package noatun
Summary: Plugins extending the functionality of the noatun media player
Group: Applications/Multimedia
Requires: noatun >= %{version}

%description noatun
Plugins extending the functionality of the noatun media player

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{name}-%{ver}
%else
%setup -q -n %{name}
%endif

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG -fno-check-new" \
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG" \
./configure \
   --prefix=%{_prefix} \
   --includedir=%{_includedir}/kde \
   --enable-final

make %{?_smp_mflags}
make -C noatun-plugins %{?_smp_mflags}

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
make -C noatun-plugins install-strip DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files kate
%defattr(-,root,root)
%{_bindir}/dcop_kate
%{_bindir}/testor
%{_plugindir}/kate*
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/katexmltools
%doc %{_docdir}/HTML/en/kate-plugins/*

%files kicker
%defattr(-,root,root)
%{_plugindir}/ktimemon*
%{_plugindir}/kolour*
%{_datadir}/icons/*/*/*/ktimemon.png
%{_datadir}/apps/kicker/applets/*
%doc %{_docdir}/HTML/en/kicker-applets/*

%files knewsticker
%defattr(-,root,root)
%{_datadir}/apps/knewsticker/scripts/*

%files konqueror
%defattr(-,root,root)
%{_plugindir}/libkhtml*
%{_plugindir}/libkimg*
%{_plugindir}/libdirfilter*
%{_plugindir}/libuachanger*
%{_plugindir}/libbabelfish*
%{_plugindir}/libvalidator*
%{_plugindir}/libdomtree*
%{_plugindir}/*webarchive*
%{_plugindir}/konqsidebar_*
%{_plugindir}/libkcm_kuick*
%{_plugindir}/libkuickplugin*
%{_datadir}/apps/khtml/kpartplugins/*
%{_datadir}/apps/konqiconview/kpartplugins/*
%{_datadir}/apps/konqlistview/kpartplugins/*
%{_datadir}/apps/konqsidebartng/add/mplayer_add.desktop
%{_datadir}/apps/konqsidebartng/entries/mplayer.desktop
%{_datadir}/icons/*/*/*/konqsidebar*
%{_datadir}/icons/*/*/*/imagegallery*
%{_datadir}/icons/*/*/*/babelfish*
%{_datadir}/icons/*/*/*/validators*
%{_datadir}/icons/*/*/*/cssvalidator*
%{_datadir}/icons/*/*/*/htmlvalidator*
%{_datadir}/icons/*/*/*/domtreeviewer*
%{_datadir}/icons/*/*/*/webarchiver*
%{_datadir}/mimelnk/application/*webarchive*
%{_datadir}/services/webarchive*
%{_datadir}/services/kuickplugin.desktop
%{_datadir}/applnk/Settings/FileBrowsing/kcmkuick.desktop
%doc %{_docdir}/HTML/en/konq-plugins/*

%files noatun
%defattr(-,root,root)
%{_plugindir}/noatun*
%{_datadir}/apps/noatun/*
%{_bindir}/noatun*

%changelog
* Wed Dec 25 2002 Than Ngo <than@redhat.com> 3.0.5a-0.73.0
- 3.0.5a

* Thu Aug 15 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-0.7
- 3.0.3

* Wed Apr 17 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- BuildRequire the correct version of kdemultimedia

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-3
- Rebuild

* Wed Mar 27 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-1
- 3.0.0 final

* Sat Mar  9 2002 Tim Powers <timp@redhat.com>
- change kdemultimedia-noatun requirement to noatun

* Fri Mar  8 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020308.1
- Update
- Adapt spec file to changes
- Exclude alpha temporarily

* Thu Jan 31 2002 Tim Powers <timp@redhat.com>
- knewsticker should require kdenetwork-libs and not kdenetwork

* Tue Jan 29 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020129.1
- Update

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Require kdemultimedia-devel >= 2.2 rather than just kdemultimedia-devel
- Update

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- Update
- Split in subpackages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

